using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Net;
using System.Net.Sockets;
using System.IO;

namespace MyWhois
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnSearch_Click(object sender, EventArgs e)
        {
            if (!bwSearch.IsBusy)
            {
                string[] data = new string[2];
                data[0] = textBoxSV.Text;
                data[1] = textBoxDNS.Text;

                bwSearch.RunWorkerAsync(data);
            }
        }

        private void bwSearch_DoWork(object sender, DoWorkEventArgs e)
        {
            try
            {
                string rs = String.Empty;

                string[] data = (string[])e.Argument;

                TcpClient client = new TcpClient(data[0], 43);
                NetworkStream netStream = client.GetStream();
                StreamReader sr = new StreamReader(netStream, Encoding.GetEncoding("iso-2022-jp"));
                StreamWriter sw = new StreamWriter(netStream, Encoding.ASCII);
                sw.AutoFlush = true;

                sw.WriteLine(data[1]);

                while (sr.Peek() > 0)
                {
                    rs += sr.ReadLine() + "\r\n";
                }

                sr.Close();
                sw.Close();
                netStream.Close();
                client.Close();

                e.Result = rs;
            }
            catch
            {
                e.Result = "T[`s";
            }
        }

        private void bwSearch_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e)
        {
            rTboxShow.Text = (string)e.Result;
        }
    }
}