using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;

namespace Lianxi1
{
    class Program
    {
        static void Main(string[] args)
        {
            IPEndPoint localEP = new IPEndPoint(IPAddress.Parse("127.0.0.1"), 8888);
            TcpListener listener = new TcpListener(localEP);
            listener.Start(10);
            Console.WriteLine("listening...");

            TcpClient client = listener.AcceptTcpClient();

            if (client.Connected)
            {
                NetworkStream netStream = client.GetStream();
                StreamReader sr = new StreamReader(netStream, Encoding.UTF8);

                string s = String.Empty;
                do
                {
                    s = sr.ReadLine();
                    if (s == null)
                        break;
                    Console.WriteLine(s);
                } while (!s.Equals("quit"));

                sr.Close();
                client.Close();
            }

            Console.WriteLine("Press any key to exit...");
            Console.ReadLine();
        }
    }
}
