using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;

namespace Lianxi2
{
    class Program
    {
        static void Main(string[] args)
        {
            string ipAddr = "127.0.0.1";
            int port = 8888;

            IPEndPoint remoteEP = new IPEndPoint(IPAddress.Parse(ipAddr), port);

            TcpClient client = new TcpClient();

            try
            {
                client.Connect(remoteEP);
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }

            if (client.Connected)
            {
                Console.WriteLine("Successful Connect to server...");
                NetworkStream netStream = client.GetStream();
                StreamWriter sw = new StreamWriter(netStream, Encoding.UTF8);
                sw.AutoFlush = true;

                string s = String.Empty;

                do
                {
                    s = Console.ReadLine();
                    try
                    {
                        sw.WriteLine(s);
                    }
                    catch (Exception ex)
                    {
                        Console.WriteLine(ex.Message);
                        break;
                    }
                }
                while (!s.Equals("quit"));

                sw.Close();
                client.Close();
            }

            Console.WriteLine("please press any key to exit.");
            Console.ReadLine();
        }
    }
}
