using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Collections;

namespace GuiServer
{
    /// <summary>
    /// UIXbh̃\bhg߂delegate
    /// </summary>
    /// <param name="obj"></param>
    delegate void SamDelegate(object obj);

    public partial class Form1 : Form
    {
        const string CRLF = "\r\n";
        public volatile bool flag = true;
        ArrayList Session = new ArrayList();

        private TcpListener listener;
        Thread t;

        public Form1()
        {
            InitializeComponent();
        }

        /// <summary>
        /// bZ[W\܂
        /// </summary>
        /// <param name="obj"></param>
        public void SetText(object obj)
        {
            rTboxShow.AppendText((string)obj + CRLF);
        }

        /// <summary>
        /// ڑXgɒǉ܂
        /// </summary>
        /// <param name="obj"></param>
        public void AddSession(object obj)
        {
            Session.Add(obj);
        }

        /// <summary>
        /// ڑXg폜܂
        /// </summary>
        /// <param name="obj"></param>
        public void RemoveSession(object obj)
        {
            for (int i = 0; i < Session.Count; i++)
            {
                try
                {
                    if (((WorkerProc)Session[i]).ID == ((WorkerProc)obj).ID)
                    {
                        Session.RemoveAt(i);
                        break;
                    }
                }
                catch
                {
                }
            }
        }

        private void btnStart_Click(object sender, EventArgs e)
        {
            btnStop.Enabled = true;
            btnStart.Enabled = false;

            flag = true;

            /// T[oCXbhƕʂ̃XbhŋN܂
            t = new Thread(new ThreadStart(StartServer));
            t.IsBackground = true;
            t.Start();
        }

        private void StartServer()
        {
            IPAddress addr = null;

            /// [JIPAhX擾܂
            try
            {
                for (int i = 0; i < Dns.GetHostEntry(Dns.GetHostName()).AddressList.Length; i++)
                {
                    if (Dns.GetHostEntry(Dns.GetHostName()).AddressList[i].AddressFamily == AddressFamily.InterNetwork)
                    {
                        addr = Dns.GetHostEntry(Dns.GetHostName()).AddressList[i];
                        break;
                    }
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                return;
            }

            IPEndPoint localEP = new IPEndPoint(addr, 8888);

            listener = new TcpListener(localEP);

            /// XiJn܂
            try
            {
                listener.Start(10);
            }
            catch (Exception ex)
            {
                rTboxShow.AppendText(ex.Message + CRLF);
                return;
            }

            while (flag)
            {
                if (listener.Pending())
                {
                    /// L[瑗MpTcpClient𐶐܂
                    TcpClient client = listener.AcceptTcpClient();

                    if (client.Connected)
                    {
                        /// MXbhN܂
                        WorkerProc proc = new WorkerProc(this);
                        proc.Client = client;
                        proc.ID = Guid.NewGuid();

                        this.Invoke(new SamDelegate(this.AddSession), proc);

                        Thread t = new Thread(new ThreadStart(proc.Run));
                        t.IsBackground = true;
                        t.Start();
                    }
                }

                Thread.Sleep(50);
            }

            /// XiXgbv܂
            listener.Stop();
        }

        private void btnStop_Click(object sender, EventArgs e)
        {
            btnStart.Enabled = true;
            btnStop.Enabled = false;

            flag = false;

            for (int i = Session.Count - 1; i >= 0; i--)
            {
                try
                {
                    ((WorkerProc)Session[i]).Client.Close();
                }
                catch
                {
                }
            }
        }
    }

    public class WorkerProc
    {
        Form1 _form;
        TcpClient _client;
        Guid id;

        public WorkerProc(Form1 form)
        {
            _form = form;
        }

        public TcpClient Client
        {
            set { _client = value; }
            get { return _client; }
        }

        public Guid ID
        {
            get { return id; }
            set { id = value; }
        }

        public void Run()
        {
            NetworkStream netStream = this._client.GetStream();

            IPEndPoint ipe = (IPEndPoint)this._client.Client.RemoteEndPoint;

            /// NCAg̐ڑvmł߁A
            /// UIXbhɒm点܂
            _form.Invoke(new SamDelegate(_form.SetText),@"Connected from " + ipe.Address.ToString());

            StreamReader sr = new StreamReader(netStream, Encoding.UTF8);
            StreamWriter sw = new StreamWriter(netStream, Encoding.UTF8);
            sw.AutoFlush = true;

            string s = String.Empty;

            /// bZ[WM[v
            /// I:
            /// 1: tH[́mXgbvn{^NbN邩A
            ///         MpTcpClientꂽ
            /// 2: NCAgquitR}h𑗂Ă
            /// 3: lbg[N_EiNCAgƂ̐ڑj
            /// 4: lbg[NXg[̃f[^̓ǂݎ肪G[ɂȂ鎞
            do
            {
                try
                {
                    s = sr.ReadLine();

                    if (s == null)
                        break;

                    sw.WriteLine("Server>>>" + s);
                    _form.Invoke(new SamDelegate(_form.SetText), s);
                }
                catch
                {
                    break;
                }
            }
            while (!s.Equals("quit"));

            sw.Close();
            sr.Close();
            _client.Close();

            _form.Invoke(new SamDelegate(_form.RemoveSession), this);

            /// NCAgƂ̐ڑ؂ꂽƂUIɒm点܂
            _form.Invoke(new SamDelegate(_form.SetText), "Disconnected " + ipe.Address.ToString());
        }
    }
}